//---------------------------------------------------------------------------

#ifndef ButtonConfH
#define ButtonConfH
//---------------------------------------------------------------------------

#include "ButtonType.h"
#include <string>

class ButtonConf
{
public:
	Button::Type type;
	std::string caption;
	std::string number;
	bool noIcon;
	int height;
	int marginTop;
	int marginBottom;

	std::string imgIdle;
	std::string imgTerminated;
	std::string imgEarly;
	std::string imgConfirmed;

	ButtonConf():
		type(Button::DISABLED),
		noIcon(false),
		height(32),
		marginTop(0),
		marginBottom(0),
		imgIdle("idle.bmp"),
		imgTerminated("terminated.bmp"),
		imgEarly("early.bmp"),
		imgConfirmed("confirmed.bmp")
	{
	}

	bool operator==(const ButtonConf& right) const {
		return (
			type == right.type &&
			number == right.number &&
			caption == right.caption &&
			noIcon == right.noIcon &&
			height == right.height &&
			marginTop == right.marginTop &&
			marginBottom == right.marginBottom &&
			imgIdle == right.imgIdle &&
			imgTerminated == right.imgTerminated &&
			imgEarly == right.imgEarly &&
			imgConfirmed == right.imgConfirmed
			);
	}
	
	bool operator!=(const ButtonConf& right) const {
		return !(*this == right);
	}                               
};

#endif
